{ pkgs, ... }:
let pkgsList = with pkgs; [
  curl
  wget

  nix-prefetch-git
  dnsutils

  unzip
  zip
  ripgrep

  niv
  nixfmt
  ];
in
{
  imports = [
    ./vim.nix
  ];
  programs = {
    tmux.enable = true;
    mosh.enable = true;
  };

  environment.systemPackages = pkgsList;
}
