{ lib, ... }:

{
  imports = [ ./my.nix ];

  my = {
    email = "club-reseau@lists.ens.psl.eu";
    acmeStaging = false;
    subZone = "rz.ens.wtf";
    ipv6.standardFull = [
      "2001:470:1f13:187:fd34:80c3:a761:ff2/64"
    ];
    ipv6.acmeFull = "2001:470:1f13:187:a039:c3ff:fe4f:8661/64";
    ipv4InternalFull = [ "10.1.1.20/22" ];
    ipv4Full = [ "45.13.104.26/32" ];

    privateRanges = [ "10.1.0.0/22 "];
  };
}
